### Method

# Jsonrpc Client close

since: 3.26

#### Declaration [src]

    gboolean
    jsonrpc_client_close (
      JsonrpcClient* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Closes the underlying streams and cancels any inflight operations of the `JsonrpcClient`.

This is important to call when you are done with the client so that any outstanding operations that have caused `self` to hold additional references are cancelled.

Failure to call this method results in a leak of `JsonrpcClient`.

Available since: 3.26

#### Parameters

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful; otherwise `FALSE` and `error` is set.